# Uses of Record Class
io.papermc.paper.event.world.StructuresLocateEvent.Result

Packages that use StructuresLocateEvent.Result
Package
Description
io.papermc.paper.event.world

## Uses of StructuresLocateEvent.Result in io.papermc.paper.event.world

Methods in io.papermc.paper.event.world that return StructuresLocateEvent.Result
Modifier and Type
Method
Description
`@Nullable StructuresLocateEvent.Result`
StructuresLocateEvent.`getResult()`
Gets the `Location` and `ConfiguredStructure` set as the result, if it was defined.
Methods in io.papermc.paper.event.world with parameters of type StructuresLocateEvent.Result
Modifier and Type
Method
Description
`void`
StructuresLocateEvent.`setResult(@Nullable StructuresLocateEvent.Result result)`
Sets the result `Location` and `ConfiguredStructure`.